Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in libxml2
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in libxml2
ID: SUSE-SU-2012:0117-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 11 SP1, SUSE Linux Enterprise Server 11 SP1, SUSE Linux Enterprise Software Development Kit 11 SP1, SUSE Linux Enterprise Desktop 10 SP4, SUSE Linux Enterprise Server 10 SP4, SUSE Linux Enterprise Server 11 SP1 for VMware
Datum: Di, 24. Januar 2012, 19:05
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3919
Applikationen: libxml2

Originalnachricht

   SUSE Security Update: Security update for libxml2
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:0117-1
Rating: important
References: #739894
Cross-References: CVE-2011-3919
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 10 SP4
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 10 SP4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


A heap-based buffer overflow during decoding of entity
references with overly long names has been fixed.
CVE-2011-3919 has been assigned.

Security Issue reference:

* CVE-2011-3919
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3919
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-libxml2-5654

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-libxml2-5654

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-libxml2-5654

- SUSE Linux Enterprise Desktop 11 SP1:

zypper in -t patch sledsp1-libxml2-5654

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64):

libxml2-devel-2.7.6-0.13.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (ppc64 s390x
x86_64):

libxml2-devel-32bit-2.7.6-0.13.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

libxml2-2.7.6-0.13.1
libxml2-doc-2.7.6-0.13.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (x86_64):

libxml2-32bit-2.7.6-0.13.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64):

libxml2-2.7.6-0.13.1
libxml2-doc-2.7.6-0.13.1

- SUSE Linux Enterprise Server 11 SP1 (ppc64 s390x x86_64):

libxml2-32bit-2.7.6-0.13.1

- SUSE Linux Enterprise Server 11 SP1 (ia64):

libxml2-x86-2.7.6-0.13.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):

libxml2-2.6.23-15.27.1
libxml2-devel-2.6.23-15.27.1

- SUSE Linux Enterprise Server 10 SP4 (s390x x86_64):

libxml2-32bit-2.6.23-15.27.1
libxml2-devel-32bit-2.6.23-15.27.1

- SUSE Linux Enterprise Server 10 SP4 (ia64):

libxml2-x86-2.6.23-15.27.1

- SUSE Linux Enterprise Server 10 SP4 (ppc):

libxml2-64bit-2.6.23-15.27.1
libxml2-devel-64bit-2.6.23-15.27.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64):

libxml2-2.7.6-0.13.1

- SUSE Linux Enterprise Desktop 11 SP1 (x86_64):

libxml2-32bit-2.7.6-0.13.1

- SUSE Linux Enterprise Desktop 10 SP4 (i586 x86_64):

libxml2-2.6.23-15.27.1
libxml2-devel-2.6.23-15.27.1

- SUSE Linux Enterprise Desktop 10 SP4 (x86_64):

libxml2-32bit-2.6.23-15.27.1
libxml2-devel-32bit-2.6.23-15.27.1


References:

http://support.novell.com/security/cve/CVE-2011-3919.html
https://bugzilla.novell.com/739894
?keywords=2a9a16773f62000d9967a5742f785534
?keywords=bdfcc7d229d9bdc2471a30fac5e92a85

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung